APS packages cannot be dumped or installed: Package with UID '' not found

Refers to:

  • Plesk 10.4 for Windows
  • Plesk 12.5 for Linux
  • Plesk 10.4 for Linux
  • Plesk 11.5 for Windows
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Linux
  • Plesk 12.5 for Windows

Created:

2016-11-16 12:58:09 UTC

Modified:

2016-12-21 19:39:29 UTC

0

Was this article helpful?


Have more questions?

Submit a request

APS packages cannot be dumped or installed: Package with UID '' not found

Symptoms

The following error message is shown in Plesk:

APS Catalog error: Package with UID '3bee6a4a-84fc-4d6a-9d82-783d9c079a78' not found

The same error when you try to get package settings:

Windows:

"%plesk_cli%\\aps.exe" --get-packages-global-settings
Package with UID '' not found.

Linux:

# /usr/local/psa/bin/aps --get-packages-global-settings
Package with UID '' not found.

Cause

There is a misconfiguration: registryUid is NULL for several APS packages.

Windows:

"%plesk_bin%\\dbclient" --direct-sql --sql="select id, name from smb_apsPackages where registryUid is NULL"
id name
10 Coppermine
11 CSLH
22 geeklog
25 HelpCenterLive
54 phpwebsite
55 phpWiki
71 WordPress

Linux:

~# MYSQL_PWD=`cat /etc/psa/.psa.shadow` mysql -u admin psa -e"select id, name from smb_apsPackages where registryUid is NULL"
+----+----------+
| id | name     |
+----+----------+
|  3 | typo3    |
|  4 | bigace   |
|  5 | Drupal   |
|  7 | osTicket |
+----+----------+

Resolution

Update preferences for APS packages with the following commands:

Windows:

"%plesk_dir%\\admin\\bin\\php.exe" -dauto_prepend_file="" "%plesk_dir%\\admin\\plib\\scripts\\aps-controller-data-import.php"

Linux:

~# /usr/local/psa/admin/bin/php -dauto_prepend_file="" /usr/local/psa/admin/plib/scripts/aps-controller-data-import.php

Additional information

If the issue still persists please check the following article:

#213371209 Package with UID '' not found error after upgrade.

Have more questions? Submit a request
Please sign in to leave a comment.